View Javadoc

    1   //========================================================================
    2   //$Id: Util.java 1540 2007-01-19 12:24:10Z janb $
    3   //Copyright 2006 Mort Bay Consulting Pty. Ltd.
    4   //------------------------------------------------------------------------
    5   //Licensed under the Apache License, Version 2.0 (the "License");
    6   //you may not use this file except in compliance with the License.
    7   //You may obtain a copy of the License at
    8   //http://www.apache.org/licenses/LICENSE-2.0
    9   //Unless required by applicable law or agreed to in writing, software
    10  //distributed under the License is distributed on an "AS IS" BASIS,
    11  //WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  //See the License for the specific language governing permissions and
    13  //limitations under the License.
    14  //========================================================================
    15
    16  package org.mortbay.jetty.annotations;
    17
    18  import java.util.List;
    19
    20  /**
    21   * Util
    22   *
    23   *
    24   */
    25  public class Util
    26  {
    27
    28
    29      /**
    30       * Find all annotations directly and inherited on a class.
    31       *
    32       * @param clazz
    33       * @return
    34       * @throws Exception
    35       */
    36      public List findMethodAnnotations (Class clazz)
    37      throws Exception
    38      {
    39          //TODO
    40
    41          return null;
    42      }
    43
    44      public List findFieldAnnotations (Class clazz)
    45      throws Exception
    46      {
    47          //TODO
    48
    49          return null;
    50      }
    51  }